Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 468716 - media-libs/libsoundtouch-1.7.1 with automake-1.13 - error: 'AM_CONFIG_HEADER': this macro is obsolete.
Summary: media-libs/libsoundtouch-1.7.1 with automake-1.13 - error: 'AM_CONFIG_HEADER'...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Sound Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: automake-1.13
  Show dependency tree
 
Reported: 2013-05-06 04:00 UTC by Dan Douglas
Modified: 2014-01-25 09:06 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dan Douglas 2013-05-06 04:00:37 UTC
***** aclocal *****
***** PWD: /var/tmp/portage/media-libs/libsoundtouch-1.7.1/work/soundtouch
***** aclocal -I config/m4

configure.ac:24: error: 'AM_CONFIG_HEADER': this macro is obsolete.
    You should use the 'AC_CONFIG_HEADERS' macro instead.
/usr/share/aclocal-1.13/obsolete-err.m4:12: AM_CONFIG_HEADER is expanded from...
configure.ac:24: the top level
autom4te-2.69: /usr/bin/m4 failed with exit status: 1
aclocal-1.13: error: echo failed with exit status: 1


Portage 2.2.0_alpha174 (default/linux/amd64/13.0/desktop/kde, gcc-4.8.0, glibc-2.17, 3.8.2-pf x86_64)
=================================================================
                         System Settings
=================================================================
System uname: Linux-3.8.2-pf-x86_64-Intel-R-_Core-TM-_i7_CPU_920_@_2.67GHz-with-gentoo-2.2
KiB Mem:    12273256 total,   4859112 free
KiB Swap:    2104508 total,   1977812 free
Timestamp of tree: Sun, 05 May 2013 18:45:01 +0000
ld GNU ld (GNU Binutils) 2.23.1
ccache version 3.1.9 [disabled]
app-shells/bash:          4.2_p45
dev-java/java-config:     2.2.0::java-overlay
dev-lang/python:          2.7.4, 3.2.4, 3.3.1
dev-util/ccache:          3.1.9
dev-util/cmake:           2.8.11_rc3::kde
dev-util/pkgconfig:       0.28
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.6-r1
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.9.6-r3, 1.10.3, 1.11.6, 1.12.6, 1.13.1
sys-devel/binutils:       2.23.1
sys-devel/gcc:            4.5.4, 4.6.4, 4.7.2-r1, 4.8.0
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.9 (virtual/os-headers)
sys-libs/glibc:           2.17
Repositories: gentoo gentoo-haskell kde perl-experimental roslin steev x11 iElectric gamerlay java-overlay nx proaudio mysql sunrise lisp lcd-filtering layman custom
Installed sets: @kde-baseapps-4.10, @kdeadmin-4.10, @kdeartwork-4.10, @kdebase-4.10, @kdeedu-4.10, @kdegames-4.10, @kdegraphics-4.10, @kdemultimedia-4.10, @kdenetwork-4.10, @kdeoptional-4.10, @kdepim-4.10, @kdesdk-4.10, @kdetoys-4.10, @kdeutils-4.10, @kdewebdev-4.10
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/maven-bin-3.0/conf /usr/share/polkit-1/actions /var/lib/hsqldb /var/lib/neatx/home"
CONFIG_PROTECT_MASK="${EPREFIX}/etc/gconf /etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5.5/ext-active/ /etc/php/cgi-php5.5/ext-active/ /etc/php/cli-php5.5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--load-average=8 --jobs --quiet-build=n --keep-going --with-bdeps=y --autounmask=y --oneshot"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs compressdebug config-protect-if-modified distlocks ebuild-locks fixlafiles installsources merge-sync news parallel-fetch preserve-libs protect-owned sandbox sfperms splitdebug strict unknown-features-warn unmerge-logs unmerge-orphans userfetch xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="http://gentoo.osuosl.org/ http://gentoo.chem.wisc.edu/gentoo http://gentoo.netnitco.net http://mirror.csclub.uwaterloo.ca/gentoo-distfiles/ http://gentoo.mirrors.tds.net/gentoo http://distro.ibiblio.org/pub/linux/distributions/gentoo/"
LANG="en_US.UTF-8"
LDFLAGS="-Wl,--hash-style=gnu -Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j8"
PKGDIR="/home/smorg/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--exclude=/metadata/cache"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/haskell /var/lib/layman/kde /var/lib/layman/perl-experimental /var/lib/layman/roslin /var/lib/layman/steev /var/lib/layman/x11 /var/lib/layman/iElectric /var/lib/layman/gamerlay /var/lib/layman/java-overlay /var/lib/layman/nx /var/lib/layman/pro-audio /var/lib/layman/mysql /var/lib/layman/sunrise /var/lib/layman/lisp /var/lib/layman/lcd-filtering /var/lib/layman /home/smorg/doc/custom"
SYNC="rsync://rsync.namerica.gentoo.org/gentoo-portage"
USE="X a52 aac acl acpi addressbook akonadi alsa amd64 amr apache2 apm avahi bash-completion blas bonjour bookmarks boost branding bs2b bzip2 c++0x c++11 cairo cdda cdparanoia cdr cgi cli consolekit cracklib crypt css cups curl custom-cflags custom-optimization cxx dbus declarative device-mapper dga djvu dri dssi dts dvd dvdr emboss enca encode exif expat fam fastcgi ffmpeg fftw firefox fits flac fluidsynth fontconfig fortran frei0r fuse gallium gdal gdbm gif gimp git gles glib glitz glsl gmp gnutls gpg gphoto2 gpm graphviz gtk haskell hscolour htmlhandbook icc iconv icu ifc imagemagick inotify int64 ipv6 ithreads jack java javascript joystick jpeg jpeg2k kde kipi konqueror kontact kpathsea kvm ladspa lapack lash latex lcdfilter lcms lensfun libass libnotify libsamplerate llvm lm_sensors lv2 lyx lzma mad midi mmx mmxext mng modules mono mp3 mp4 mpeg mudflap multilib musepack mysql nb ncurses network nfs nfsv4 nls nptl nsplugin ntp ocamlopt odbc offensive ogg openexr opengl openmp pam pango pcre pdf phonon plasma plotutils pmu png policykit postproc ppds private-headers python python3 qemu qt qt-copy qt3support qt4 quicktime rar raw readline resolvconf rss rtc sdl semantic-desktop session sftp smartcard smp sndfile social-desktop solver spell sql sqlite sse sse2 sse3 sse4 sse4_1 sse4_2 ssl ssse3 startup-notification subversion svg syslog tcpd theora threads thumbnail tidy tiff truetype twolame udev udisks unicode upnp upower usb vhosts vim vim-syntax vorbis vpx wavpack webkit wxwidgets x264 xattr xcb xcomposite xft xine xinerama xml xmp xrandr xscreensaver xulrunner xv xvid xvmc zeroconf zip zlib" ABI_X86="64" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" APACHE2_MPMS="worker" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump author" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="en" NETBEANS_MODULES="apisupport cnd dlight enterprise ergonomics groovy harness ide identity java mobility nb php profiler websvccommon" OFFICE_IMPLEMENTATION="libreoffice" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_2" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="r600 radeon" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
USE_PYTHON="2.7 3.2"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS

=================================================================
                        Package Settings
=================================================================
USE="sse2 -static-libs"

media-libs/libsoundtouch-1.7.1 was built with the following:
CFLAGS="-floop-strip-mine -pipe -floop-block -mmmx -floop-interchange -Ofast -march=native"
CXXFLAGS="-floop-strip-mine -pipe -floop-block -mmmx -floop-interchange -Ofast -march=native"
Comment 1 Alexander 2013-06-10 15:17:21 UTC
simple patch


diff --git a/libsoundtouch-1.7.1.ebuild b/libsoundtouch-1.7.1.ebuild
index f3186cc..8e46f22 100644
--- a/libsoundtouch-1.7.1.ebuild
+++ b/libsoundtouch-1.7.1.ebuild
@@ -23,6 +23,7 @@ S=${WORKDIR}/${MY_PN}
 src_prepare() {
        epatch "${FILESDIR}"/${PN}-1.7.0-flags.patch
        sed -i -e "s:^\(pkgdoc_DATA=\)COPYING.TXT :\1:" Makefile.am || die
+       sed -i -e 's/AM_CONFIG_HEADER/AC_CONFIG_HEADERS/g' configure.ac || die
        eautoreconf
 }
Comment 2 Tim Harder gentoo-dev 2014-01-25 09:06:39 UTC
Fixed in the tree.